<?php
use Doctrine\Common\Collections\ArrayCollection;


/**
* @Entity @Table(name="users")
**/
class User {
	
	/** @Id @Column(type="integer") @GeneratedValue **/
	protected $id;
	/** @Column(type="string") **/
	protected $name;
	/** @Column(type="string") **/
	protected $email;
	/** @Column(type="string") **/
	protected $password;
	
	/**
	* 
	* @OneToOne(targetEntity="Info",inversedBy="user")
	* //JoinColumn(name="info_id",referencedColumnName="id")
	* 
	*/
	private $info;
	
	/**
	* 
	* @OneToMany(targetEntity="Book", mappedBy="user") 
	* 
	*/
	private $books;
	
	/**
	* 
	* @ManyToMany(targetEntity="Role", inversedBy="users")
	* @JoinTable(name="users_roles")
	* 
	*/
	private $roles;
	
	public function getRoles()
    {
        return $this->roles;
    }
    
    public function addRole(Role $role) {
		$this->roles[] = $role;
	}
	
	
	public function __construct() {
		$this->books = new ArrayCollection();
		$this->roles = new ArrayCollection();
	}
	
	public function setName($name) {
		$this->name = $name;
	}
	
	public function setEmail($email) {
		$this->email = $email;
	}
	
	public function setPassword($pass) {
		$this->password = $pass;
	}
	
	public function getName() {
		return $this->name;
	}
	
	public function getEmail() {
		return $this->email;
	}
	public function getPassword() {
		return $this->password;
	}
	
	public function getId() {
		return $this->id;
	}
	
	public function getInfo() {
		return $this->info;
	}
	
	public function setInfo($info) {
		$this->info = $info;
	}
	
	public function getBooks() {
		return $this->books;
	}
	
}
?>